Bug 446375 - Morphing popups effect does not morph at all on Wayland
Summary: Morphing popups effect does not morph at all on Wayland
Status: CONFIRMED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 5.23.4
Platform: Manjaro Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Eike Hein
URL:
Keywords: regression, wayland
Depends on:
Blocks:
 
Reported: 2021-12-02 14:21 UTC by juri26
Modified: 2022-07-18 20:08 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
No morphing on waynland (1.57 MB, video/mp4)
2022-04-04 20:50 UTC, Demitrius Belai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description juri26 2021-12-02 14:21:23 UTC
SUMMARY
No animation when hovering over different apps in the taskbar when using wayland.


STEPS TO REPRODUCE
1. Start plasma wayland session
2. Use the mouse pointer to hover over apps in the taskbar
3. Small information bubbles appear but when moving the mouse to another app in the taskbar, it just jumps over without any animation.

OBSERVED RESULT
No animation when hovering over apps in the taskbar in wayland

EXPECTED RESULT
Smooth animations like in X11

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2
Comment 1 Nate Graham 2021-12-02 21:20:20 UTC
Ooh this was fixed recently in Plasma 5.24!
Comment 2 Nate Graham 2021-12-02 21:21:48 UTC
Oh actually it was fixed in a framework, so it should be in Frameworks 5.89!
Comment 3 juri26 2021-12-14 19:25:11 UTC
I just updated to Frameworks 5.89 but the issue is still there for some reason. Other bugs like bug 442375 are fixed but not this one.
Comment 4 Nate Graham 2021-12-14 21:26:58 UTC
Oh silly me, it required some KWin changes too. So you'll have to wait until 5.24. Sorry about that.
Comment 5 juri26 2021-12-14 21:49:25 UTC
All right, thank you and have a nice day ;)
Comment 6 Demitrius Belai 2022-03-29 18:56:03 UTC
It is still not fixed.
--
Operating System: Arch Linux
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.16.16-arch1-1 (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7 CPU 870 @ 2.93GHz
Memory: 15.6 GiB of RAM
Graphics Processor: AMD BARTS
Comment 7 juri26 2022-03-29 20:56:19 UTC
(In reply to Demitrius Belai from comment #6)
> It is still not fixed.
> --
> Operating System: Arch Linux
> KDE Plasma Version: 5.24.4
> KDE Frameworks Version: 5.92.0
> Qt Version: 5.15.3
> Kernel Version: 5.16.16-arch1-1 (64-bit)
> Graphics Platform: Wayland
> Processors: 8 × Intel® Core™ i7 CPU 870 @ 2.93GHz
> Memory: 15.6 GiB of RAM
> Graphics Processor: AMD BARTS

Yeah, it worked once just after the 5.24 update came, and now it does not work again for some reason.
Comment 8 Nate Graham 2022-04-01 20:09:31 UTC

*** This bug has been marked as a duplicate of bug 435423 ***
Comment 9 Demitrius Belai 2022-04-04 20:49:04 UTC
(In reply to Nate Graham from comment #8)
> 
> *** This bug has been marked as a duplicate of bug 435423 ***

I do not think it is the same bug. There is no morphing effect on Wayland at all (at least for me). I have searched and I just found this bug 364485. Then I think it is a regression. I will upload a video.
Comment 10 Demitrius Belai 2022-04-04 20:50:29 UTC
Created attachment 147965 [details]
No morphing on waynland
Comment 11 Nate Graham 2022-04-06 19:32:54 UTC
>There is no morphing effect on Wayland at all (at least for me).
Yes, that's what 435423 is all about. Or at least, it is now.

*** This bug has been marked as a duplicate of bug 435423 ***